兔队线段树:楼房重建
兔队线段树:楼房重建 本文搬运自本人高中时期CSDN博客,若图片加载不出来,可到原文查看:https://blog.csdn.net/zhangtingxiqwq/article/details/132126096 https://www.luogu.com.cn/problem/P4198 本质:在线段树上每个节点维护信息时再深入到底部,加个 log\loglog O(nlog2n)O(n\log^2n)O(nlog2n) 总比 O(n2)O(n^2)O(n2) 优。 抽象到本题,就是对于每个线段树节点单独维护只考虑这个区间的答案。 合并的过程,显然左子树可以直接继承,所以可以...
线段树分治
线段树分治 本文搬运自本人高中时期CSDN博客,若图片加载不出来,可到原文查看:https://blog.csdn.net/zhangtingxiqwq/article/details/132126153 https://www.luogu.com.cn/problem/P5787 理解: 操作离线 用时间线段树维护 整体统计答案,进入到某个节点加入,离开时撤销 可以用可撤销数据结构维护(可能可以可持久化或LCT维护?以后再学)
分类讨论+反悔贪心来实现模拟费用流:[NOI2019] 序列
分类讨论+反悔贪心来实现模拟费用流:[NOI2019] 序列 本文搬运自本人高中时期CSDN博客,若图片加载不出来,可到原文查看:https://blog.csdn.net/zhangtingxiqwq/article/details/132112120 https://www.luogu.com.cn/problem/P5470 很容易把费用流建出来。 然后要模拟这个过程,把核心要点,也就是 K−LK-LK−L 这个限制提取出来。 因为在此限制下答案不劣,所以优先枚举这个限制下的答案。 模拟费用流,所以必然有反悔贪心,分类讨论一下。 总结下来,对于模拟费用流的方法: 分类讨论...
对于模拟最大流的一些猜测
对于模拟最大流的一些猜测 本文搬运自本人高中时期CSDN博客,若图片加载不出来,可到原文查看:https://blog.csdn.net/zhangtingxiqwq/article/details/132093553 先把最大流转成最小割。 然后对最小割分类讨论,观察性质,看看有什么不用跑最大流的做法? 等我长大再回来想。
网络最大流
网络最大流 本文搬运自本人高中时期CSDN博客,若图片加载不出来,可到原文查看:https://blog.csdn.net/zhangtingxiqwq/article/details/132091032 < Zoj3229 Shoot the Bullet|东方文花帖|【模板】有源汇上下界最大流 - 洛谷 > 先bfs分层 2.dfs增广,当前弧优化 重复以上步骤 1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545...
无源汇上下界可行流
无源汇上下界可行流 本文搬运自本人高中时期CSDN博客,若图片加载不出来,可到原文查看:https://blog.csdn.net/zhangtingxiqwq/article/details/132091530 新建两个超级源、汇点。 原先是a->b,范围[c,d]。现在变成 S->b,c a->T,c a->b,d-c ZOJ2314ReactorCooling_网络流-个人编程笔记
欧拉回路/路径求法
欧拉回路/路径求法 本文搬运自本人高中时期CSDN博客,若图片加载不出来,可到原文查看:https://blog.csdn.net/zhangtingxiqwq/article/details/132082624 以任意一点/奇数度点开始dfs,能走就走,遍历所有边,离开时加入点。 1234567void dfs(int x) { for(; t[x]<G[x].size(); ) { int y=G[x][t[x]]; ++t[x]; dfs(y); } z.push(x); }
二分图几个常用结论
二分图几个常用结论 本文搬运自本人高中时期CSDN博客,若图片加载不出来,可到原文查看:https://blog.csdn.net/zhangtingxiqwq/article/details/132076492 适用:二分图
二分图中最小边覆盖=n-最大匹配
二分图中最小边覆盖=n-最大匹配 本文搬运自本人高中时期CSDN博客,若图片加载不出来,可到原文查看:https://blog.csdn.net/zhangtingxiqwq/article/details/132077398 每条边会覆盖1-2个点,我们希望最大化覆盖2个点的边。 覆盖两个点的边显然为二分图的最大匹配。
图片导入
本文搬运自本人初中博客园博客,若图片加载不出来,可到原文查看:https://www.cnblogs.com/zhangtingxi/p/17509969.html


![分类讨论+反悔贪心来实现模拟费用流:[NOI2019] 序列](/page_img/p9.png)









